rangeslider {plotly} | R Documentation

## Add a range slider to the x-axis

### Description

Add a range slider to the x-axis

### Usage

    rangeslider(p, start = NULL, end = NULL, ...)

### Arguments

`p` | plotly object.
`start` | a start date/value.
`end` | an end date/value.
`...` | these arguments are documented here https://plot.ly/r/reference/#layout-xaxis-rangeslider

### Author(s)

Carson Sievert

### Examples

    plot_ly(x = time(USAccDeaths), y = USAccDeaths) %>%
      add_lines() %>%
      rangeslider()

    d <- tibble::tibble(
      time = seq(as.Date("2016-01-01"), as.Date("2016-08-31"), by = "days"),
      y = rnorm(seq_along(time))
     )

    plot_ly(d, x = ~time, y = ~y) %>%
      add_lines() %>%
      rangeslider(d$time[5], d$time[50])

[Package plotly version 4.9.0 Index]